
#ifndef PLATFORM_WIN32_MSG_BUFFER_H
#define PLATFORM_WIN32_MSG_BUFFER_H

#include <Windows.h>

#define WIN32_MSG_BUFFER_MAX_SIZE 64

struct Win32MsgBuffer {
	int		index;
	MSG		messages[WIN32_MSG_BUFFER_MAX_SIZE];

	Win32MsgBuffer();

	bool postMessage(MSG msg);
};

#endif /* PLATFORM_WIN32_MSG_BUFFER_H */